module Foxtrot
  module Errors
    class FoxtrotError < StandardError
    end

    class ParameterError < FoxtrotError
      def initialize(param)
        @param = param
        super "Missing Parameter: #{param}"
      end
    end

    class APIResponseError < FoxtrotError
    end

    class APITimeoutError < FoxtrotError
      def initialize(count)
        @count = count
        super "Request timed out after #{count} seconds."
      end
    end

  end
end
