# -*- encoding: utf-8 -*-
# stub: foxtrot-client 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "foxtrot-client".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yasyf Mohamedali".freeze]
  s.date = "2014-12-23"
  s.description = "# Foxtrot Ruby Client Library\n\nThis is the Ruby client library for interacting with the Foxtrot API. The only endpoint currently exposed is the route optimization endpoint (`Foxtrot::Client.optimize!`).\n\nIn order to make requests, you need a valid API key. Your API key can be found at the bottom of any page in the [Foxtrot web app](http://app.foxtrot.io/).\n\n## Installation\n\n`gem install foxtrot-client`\n\n## Usage\n\n```ruby\ndata = {\n  file_url: \"https://www.domain.io/your_file.xlsx\",\n  file_name: \"your_file.xlsx\",\n  geocode: \"false\",\n  stop_name: \"Customer\",\n  lat: \"Lat\",\n  lng: \"Long\",\n  load: \"Load\",\n  service_time: \"Service Time\",\n  time_window: \"Time Window\",\n  extra_info: \"Contact Info\",\n  date_starting: \"1407712069593\",\n  warehouse: \"77 Massachusetts Ave, Cambridge MA\",\n  num_drivers: 1,\n  num_avg_service_time: 10,\n  float_fuel_cost: 3.56,\n  float_driver_wage: 6.01,\n  float_mpg: 8.32\n}\n\napi_key = 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx'\n\nrequire 'foxtrot'\nfox = Foxtrot::Client.new api_key\n\nresp = fox.optimize!(data).poll_and_block!\nresult = resp.get_result\n```\n".freeze
  s.email = ["yasyf@foxtrot.io".freeze]
  s.homepage = "https://github.com/FoxtrotSystems/api-client-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Foxtrot Ruby Client Library".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rest_client>.freeze, ["~> 1.7", ">= 1.7.2"])
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.3", ">= 2.3.6"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rest_client>.freeze, ["~> 1.7", ">= 1.7.2"])
    s.add_dependency(%q<addressable>.freeze, ["~> 2.3", ">= 2.3.6"])
  end
end
